List handlings for an order
List all handlings for a specific order
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Responses
200
Example response
application/json
orderUidstringOptionalDeprecatedPattern:
^[A-Za-z0-9-_]*get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/handlings HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"active": true,
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"description": "text",
"handlingUid": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"name": "text",
"orderHandlingUid": "text",
"state": "NOT_STARTED"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

